Bug 798715 - Review Request: luminance-hdr - A graphical tool for creating and tone-mapping HDR images
Review Request: luminance-hdr - A graphical tool for creating and tone-mappin...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 666500 699703 798703 798714 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 11:10 EST by Franco Comida
Modified: 2012-04-19 08:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 08:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Franco Comida 2012-02-29 11:10:42 EST
Spec URL: http://sourceforge.net/projects/qtpfsgui/files/luminance/2.2.0/luminance-hdr.spec/download
SRPM URL: http://sourceforge.net/projects/qtpfsgui/files/luminance/2.2.0/luminance-hdr-2.2.0-1.fc16.src.rpm/download
Description: Luminance HDR is a graphical program for assembling bracketed photos into High Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.
Comment 1 Franco Comida 2012-02-29 11:12:03 EST
Luminance HDR is the successor of qtpfsgui already present on Fedora. It adds much more stability and functionalities
Comment 2 Franco Comida 2012-02-29 11:19:04 EST
This is my first package and I am seeking a sponsor, also the package depends on LibRaw-0.14 that is not present on Fedora.
Comment 3 Alexander Kurtakov 2012-03-01 07:30:51 EST
*** Bug 798703 has been marked as a duplicate of this bug. ***
Comment 4 Alexander Kurtakov 2012-03-01 07:31:01 EST
*** Bug 798714 has been marked as a duplicate of this bug. ***
Comment 5 Franco Comida 2012-03-01 15:19:51 EST
The LibRaw-0.14 package is already on rawhide. I successfully built it with koji on f16.

I am also in contact with the old maintainer who is willing to help with the review
Comment 6 Rex Dieter 2012-03-03 11:49:44 EST
*** Bug 666500 has been marked as a duplicate of this bug. ***
Comment 7 Rex Dieter 2012-03-03 11:49:52 EST
*** Bug 699703 has been marked as a duplicate of this bug. ***
Comment 8 Rex Dieter 2012-03-06 12:52:39 EST
rpmlint: ok
$ rpmlint luminance-hdr
luminance-hdr.x86_64: I: enchant-dictionary-not-found en_US
luminance-hdr.x86_64: W: no-manual-page-for-binary luminance-hdr
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Naming:  not ok
1. since this is successor of qtpfsgui and replaces it, MUST follow
http://fedoraproject.org/wiki/Packaging/Guidelines#Renaming.2FReplacing_Existing_Packages
and contain (something like):
Obsoletes: qtpfsgui < 2.2.0
Provides:  qtpfsgui = %{version}-%{release}
for upgrade path

2. Sources: MUST.  md5sum does not match.
in src.rpm:
bd2d3782257cf502517e79852fff40be  luminance-hdr-2.2.0.tar.bz2
fetched from sourceforge:
15caab0747cc5d5f1a3a496752b733d4  luminance-hdr-2.2.0.tar.bz2

3.  scriptlets.  MUST update icon scriptlets to match,
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

4.  .desktop file.  MUST not use --vendor=fedora, see
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

Licensing: Ok.  got mostly GPLv2+, with some BSD, LGPLv2+.  combined work is GPLv2+



Address items 1-4, and we're looking good.
Comment 9 Franco Comida 2012-03-07 11:07:52 EST
I addressed all the points. Should be ok now.
Comment 10 Rex Dieter 2012-03-07 11:23:37 EST
Make sure to update changelog and bump release next time whenever doing changes.
Comment 11 Rex Dieter 2012-03-07 11:26:12 EST
item 2. Source checksums.  Strange, your srpm tarball is the same, but sourceforge's upstream one seems to have been changed to match.  ?  I would've expected the other way around.  Can you explain?
Comment 12 Franco Comida 2012-03-07 11:38:41 EST
I am upstream so I changed the tarball on SourceForge because the old one didn't include the root directory.

Sorry for the missing updated changelog and release, I tought it wasn't needed for a package not yet in the distribution.
Comment 13 Rex Dieter 2012-03-11 17:06:34 EDT
I guess I missed mentioning the need to add another scriptlet for Mimetype support,
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database
and likewise, if registerring new mimetypes,
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo

but I won't consider that a blocker.  just look into it. 


Otherwise, I'm happy with the changes done, and looks good.  APPROVED.

please post your fas ID, from
http://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account
and I'll sponsor you.
Comment 14 Franco Comida 2012-03-11 17:29:49 EDT
My fas ID is fcomida

I will update the spec file with the scriplets for mime type support as soon as the new version 2.2.1 is released.
Comment 16 Romain DEP. 2012-03-11 19:44:15 EDT
After some testing, the package as provided on sourceforge for fedora 16 x86_64 is in a good shape, app is stable, menu entries are ok.
Comment 17 Franco Comida 2012-03-11 21:50:49 EDT
Updated at version 2.2.1

Spec URL:
http://sourceforge.net/projects/qtpfsgui/files/luminance/2.2.1/luminance-hdr.spec/download
SRPM URL:
http://sourceforge.net/projects/qtpfsgui/files/luminance/2.2.1/luminance-hdr-2.2.1-1.fc16.src.rpm/download

rpmlint -v luminance-hdr-2.2.1-1.fc16.src.rpm

luminance-hdr.src: I: checking
luminance-hdr.src: I: checking-url http://qtpfsgui.sourceforge.net/ (timeout 10
seconds)
luminance-hdr.src: I: checking-url
http://downloads.sourceforge.net/qtpfsgui/luminance-hdr-2.2.1.tar.bz2 (timeout
10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v luminance-hdr.spec 

luminance-hdr.spec: I: checking-url
http://downloads.sourceforge.net/qtpfsgui/luminance-hdr-2.2.1.tar.bz2 (timeout
10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 18 Franco Comida 2012-03-11 22:37:43 EDT
New Package SCM Request
=======================
Package Name: luminance-hdr
Short Description: A graphical tool for creating and tone-mapping HDR images
Owners: fcomida
Branches: f17
InitialCC: rdieter
Comment 19 Gwyn Ciesla 2012-03-12 08:13:14 EDT
Summary and SCM request package name don't match, please correct.  Thanks!
Comment 20 Franco Comida 2012-03-12 08:27:16 EDT
New Package SCM Request
=======================
Package Name: Luminance HDR
Short Description: A graphical tool for creating and tone-mapping HDR images
Owners: fcomida
Branches: f17
InitialCC: rdieter
Comment 21 Rex Dieter 2012-03-12 09:20:00 EDT
No, you want to use luminance-hdr in both places, not "Luminance HDR".
Comment 22 Rex Dieter 2012-03-12 09:20:36 EDT
I'll fix summary, just redo comment #18
Comment 23 Franco Comida 2012-03-12 09:38:12 EDT
New Package SCM Request
=======================
Package Name: luminance-hdr
Short Description: A graphical tool for creating and tone-mapping HDR images
Owners: fcomida
Branches: f17
InitialCC: rdieter
Comment 24 Gwyn Ciesla 2012-03-13 13:38:24 EDT
Git done (by process-git-requests).
Comment 25 Rex Dieter 2012-04-19 08:21:42 EDT
$ koji latest-pkg f18 luminance-hdr
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
luminance-hdr-2.2.1-3.fc18                f18                   sharkcz

looks like a winner, closing.

Note You need to log in before you can comment on or make changes to this bug.